> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Odoo Helpdesk configuration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json put /v1/integration/{integrationId}/odoo-helpdesk
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{integrationId}/odoo-helpdesk:
    put:
      tags:
        - Integration
      summary: Update Odoo Helpdesk configuration
      operationId: OdooHelpdeskController_setConfiguration
      parameters:
        - name: integrationId
          required: true
          in: path
          description: Odoo Helpdesk integration ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OdooHelpdeskConfigurationDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    OdooHelpdeskConfigurationDto:
      type: object
      properties:
        database:
          type: string
        companyId:
          type: string
          nullable: true
        ticketTeamId:
          type: string
        createDetectionTickets:
          type: boolean
        caseTicketTitle:
          type: string
        detectionTicketTitle:
          type: string
        stageMapping:
          type: object
          additionalProperties:
            type: number
          description: Mapping of Wirespeed status → Odoo Helpdesk stage ID
      required:
        - database
        - ticketTeamId
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````